import { render } from 'preact';
import { LocationProvider } from 'preact-iso';
import { 
  QueryClient,
  QueryClientProvider,
} from 'react-query';

import { Header } from './components/Header.jsx';
import './style.css';
import Routes from './routes/index.jsx';

const queryClient = new QueryClient();

export function App() {
  return (
    <LocationProvider>
      <Header />

      <main>
        <QueryClientProvider client={queryClient}>
          <Routes />
        </QueryClientProvider>
      </main>
    </LocationProvider>
  );
}

render(<App />, document.getElementById('app'));
